# Project: GrafMaker
# Compiler: Default GCC compiler
# Compiler Type: MingW 3
# Makefile created by wxDev-C++ 6.10.2 on 26.05.09 21:02

CPP       = g++.exe
CC        = gcc.exe
WINDRES   = windres.exe
OBJ       = Objects/MingW/main.o Objects/MingW/database.o
LINKOBJ   = Objects/MingW/main.o Objects/MingW/database.o
LIBS      = -L"D:/Programy/Dev-Cpp/Lib" -mwindows -lwxmsw28 -lwxmsw28_gl -lwxtiff -lwxjpeg -lwxpng -lwxzlib -lwxregex -lwxexpat -lkernel32 -luser32 -lgdi32 -lcomdlg32 -lwinspool -lwinmm -lshell32 -lcomctl32 -lole32 -loleaut32 -luuid -lrpcrt4 -ladvapi32 -lwsock32 -lodbc32 -lopengl32  -g3 
INCS      = -I"include"
CXXINCS   = -I"D:/Programy/Dev-Cpp/lib/gcc/mingw32/3.4.2/include" -I"D:/Programy/Dev-Cpp/include/c++/3.4.2/backward" -I"D:/Programy/Dev-Cpp/include/c++/3.4.2/mingw32" -I"D:/Programy/Dev-Cpp/include/c++/3.4.2" -I"D:/Programy/Dev-Cpp/include" -I"D:/Programy/Dev-Cpp/" -I"D:/Programy/Dev-Cpp/include/common/wx/msw" -I"D:/Programy/Dev-Cpp/include/common/wx/generic" -I"D:/Programy/Dev-Cpp/include/common/wx/fl" -I"D:/Programy/Dev-Cpp/include/common/wx/gizmos" -I"D:/Programy/Dev-Cpp/include/common/wx/html" -I"D:/Programy/Dev-Cpp/include/common/wx/mmedia" -I"D:/Programy/Dev-Cpp/include/common/wx/net" -I"D:/Programy/Dev-Cpp/include/common/wx/ogl" -I"D:/Programy/Dev-Cpp/include/common/wx/plot" -I"D:/Programy/Dev-Cpp/include/common/wx/protocol" -I"D:/Programy/Dev-Cpp/include/common/wx/stc" -I"D:/Programy/Dev-Cpp/include/common/wx/svg" -I"D:/Programy/Dev-Cpp/include/common/wx/xml" -I"D:/Programy/Dev-Cpp/include/common/wx/xrc" -I"D:/Programy/Dev-Cpp/include/common/wx" -I"D:/Programy/Dev-Cpp/include/common"
RCINCS    = --include-dir "D:/Programy/Dev-Cpp/include/common"
BIN       = Output/MingW/GrafMaker.exe
DEFINES   =  -D__WXMSW__ -D__GNUWIN32__ -D__WIN95__
CXXFLAGS  = $(CXXINCS) $(DEFINES) -fno-exceptions -fno-pcc-struct-return -fstrict-aliasing -Wall -D__WXMSW__ -D__GNUWIN32__ -D__WIN95__   -fexpensive-optimizations -O3 -g3
CFLAGS    = $(INCS) $(DEFINES) -fno-exceptions -fno-pcc-struct-return -fstrict-aliasing -Wall -D__WXMSW__ -D__GNUWIN32__ -D__WIN95__   -fexpensive-optimizations -O3 -g3
GPROF     = gprof.exe
RM        = rm -f
LINK      = g++.exe

.PHONY: all all-before all-after clean clean-custom
all: all-before $(BIN) all-after

clean: clean-custom
	$(RM) $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(LINK) $(LINKOBJ) -o "Output\MingW\GrafMaker.exe" $(LIBS)

Objects/MingW/main.o: $(GLOBALDEPS) main.cpp main.h database.h position.h mylimits.h
	$(CPP) -c main.cpp -o Objects/MingW/main.o $(CXXFLAGS)

Objects/MingW/database.o: $(GLOBALDEPS) database.cpp database.h
	$(CPP) -c database.cpp -o Objects/MingW/database.o $(CXXFLAGS)
